edu.wpi.first.wpilibj

## Enum InterruptableSensorBase.WaitResult

- java.lang.Object
- - java.lang.Enum<InterruptableSensorBase.WaitResult>
  - - edu.wpi.first.wpilibj.InterruptableSensorBase.WaitResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InterruptableSensorBase.WaitResult>
  Enclosing class:
    InterruptableSensorBase

      public static enum InterruptableSensorBase.WaitResult
      extends java.lang.Enum<InterruptableSensorBase.WaitResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kBoth`
    `kFallingEdge`
    `kRisingEdge`
    `kTimeout`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InterruptableSensorBase.WaitResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InterruptableSensorBase.WaitResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kTimeout

          public static final InterruptableSensorBase.WaitResult kTimeout

    - #### kRisingEdge

          public static final InterruptableSensorBase.WaitResult kRisingEdge

    - #### kFallingEdge

          public static final InterruptableSensorBase.WaitResult kFallingEdge

    - #### kBoth

          public static final InterruptableSensorBase.WaitResult kBoth

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static InterruptableSensorBase.WaitResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterruptableSensorBase.WaitResult c : InterruptableSensorBase.WaitResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterruptableSensorBase.WaitResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null